<!DOCTYPE html>
<html>
    <head>
        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async="true" src="https://www.googletagmanager.com/gtag/js?id=UA-166753203-1"></script>
        <script>
            window.dataLayer = window.dataLayer || [];
            function gtag(){dataLayer.push(arguments);}
            gtag('js', new Date());

            gtag('config', 'UA-166753203-1');
        </script>
        <meta charset="utf-8"></meta>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"></meta>
        <title>VoxPeople : <udho:text value="label" /></title>
        <script type="application/ld+json">{
            "@context": "http://schema.org",
            "@type": "Map",
            "name": '<udho:text value="name" />',
            "description": '<udho:text value="label" />',
            "author": {
                "@type": "Person",
                "name": "Sunanda Bose"
            },
            "url": "https://voxpeople.org"
        }</script>
        <meta name="description"        udho:target:content="label"/>
        <meta property="og:type"        content="website"/>
        <meta property="og:title"       udho:target:content="label"/>
        <meta property="og:description" udho:target:content="label"/>
        <meta property="og:url"         content="https://voxpeople.org"/>
        <style>
            html, body{
                position: relative;
                height: 100%;
            }
            body .main{
                height: 100%;
            }
            [v-cloak] * { display:none }
            [v-cloak]::before { content: "loading…" }
            .dp{}
            .dp img.photo{
                clip-path: circle(50% at 50% 50%);
                width: 150px;
                height: 150px;
            }
            .dp .uploader{
                visibility: hidden;
            }
            .dp:hover .uploader{
                visibility: visible;
            }
        </style>
    </head>
    <body class="bg-gray-300">
        <div class="main flex flex-col" id="main">
            <div class="relative">
                <wee-nav>
                    <wee-nav-item href="/projects">Projects</wee-nav-item>
                    <wee-nav-item href="/chat">Chat</wee-nav-item>
                    <template slot="actions">
                        <wee-nav-item udho:if="loggedin"><a udho:target:href="/user/profile/`uid`"><udho:text value="uname" /></a></wee-nav-item>
                        <wee-nav-item udho:if="not(loggedin)" href="/user/login" action="true">Login</wee-nav-item>
                        <wee-nav-item udho:if="loggedin" href="/user/logout" action="true">Logout</wee-nav-item>
                    </template>
                </wee-nav>
            </div>
            <div class="flex-grow flex flex-col container m-auto">
                <div class="flex flex-col m-2 bg-gray-200 p-2">
                    <div class="headline flex flex-row items-center mb-2">
                        <div class="flex-grow text-md uppercase"> User <span class="px-2 text-xs bg-gray-500 text-gray-100 mx-2 rounded-full"><udho:text value="id" /></span> </div>
                        <div class="actions">
                            <button class="text-pink-500 hover:text-pink-700 text-gray-800 font-bold py-1 px-2 text-sm rounded inline-flex items-center" v-on:click="edit()">
                                <img class="fill-current inline-block w-4 h-4 mr-2" src="/components/pix/zond/edit-pencil.svg" />
                                <span>Edit</span>
                            </button>
                        </div>
                    </div>
                    <div class="w-full bg-white flex flex-col p-2 items-center justify-center pt-4">
                        <div class="relative dp mr-4">
                            <img udho:target:src="/uploads/dp/`photo`" class="photo w-full h-full object-cover object-center rounded-lg shadow-lg" ref="photo" />
                            <div class="uploader absolute bottom-0 left-0 w-full z-10 bg-white bg-opacity-50 text-black text-center h-1/3 flex flex-col items-center">
                                <button id="uploader" ref="uploader" class="text-gray-700 hover:text-gray-800 font-bold py-1 px-2 text-sm rounded inline-flex items-center">
                                    Upload
                                </button>
                            </div>
                            <avatar-cropper v-on:uploaded="handleUploaded" trigger="#uploader" upload-form-name="photo" udho:target:upload-url="/user/profile/`id`/photo" :labels="{submit: 'Upload', cancel: 'Cancel'}"></avatar-cropper>
                        </div>
                        <div class="info w-full flex flex-col items-center">
                            <div class="block flex flex-col">
                                <div class="name mt-1 justify-center flex flex-row items-center text-center">
                                    <span class="text-lg font-bold text-center"><udho:text value="name" /></span>
                                </div>
                                <div class="contributions mt-1 justify-center flex flex-row items-center text-center">
                                    <div class="ml-2 flex flex-row border border-indigo-400 rounded-full items-center text-xs">
                                        <span class="bg-indigo-600 text-indigo-200 rounded-l-full mr-1 px-2 pointer">Reports</span>
                                        <span class="text-indigo-600 rounded-r-full pl-1 pr-2"><udho:text value="nreports" /></span>
                                    </div>
                                    <div class="ml-2 flex flex-row border border-teal-400 rounded-full items-center text-xs">
                                        <span class="bg-teal-600 text-teal-200 rounded-l-full mr-1 px-2 pointer">Places</span>
                                        <span class="text-teal-600 rounded-r-full pl-1 pr-2"><udho:text value="nplaces" /></span>
                                    </div>
                                </div>
                                <div class="affiliation mt-1 p-2"><udho:text value="affiliation" /></div>
                                <div class="affiliation mt-1 p-2" udho:if="uadifferent"><udho:text value="affiliation2" /></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <script src="/dist/profile.js"></script>
    </body>
</html>

